unit Config;

interface

type
  TConfig = record
    FirstWDay: Integer;
    FontBold: Boolean;
    FontItalic: Boolean;
    FontName: string;
    OuterDays: Boolean;
    WeekNumber: Boolean;
    YearDay: Boolean;
  end;

procedure LoadConfig(const Path: string; var Conf: TConfig);

implementation

uses NLib, NConf;

procedure LoadConfig(const Path: string; var Conf: TConfig);
var
  s: string;
begin
  Conf.FontName := 'Arial';
  Conf.FirstWDay := 6;
  try
    with TConf.Create(Path) do
      try
        while ReadLine do
        begin
          s := GetToken;
          if s = 'font' then
          begin
            Conf.FontName := GetToken;
            s := GetToken;
            Conf.FontBold := Conf.FontBold or (s = 'bold');
            Conf.FontItalic := Conf.FontItalic or (s = 'italic');
            s := GetToken;
            Conf.FontBold := Conf.FontBold or (s = 'bold');
            Conf.FontItalic := Conf.FontItalic or (s = 'italic');
          end
          else if s = 'firstweekday' then
            Conf.FirstWDay := SInt(GetToken)
          else if s = 'weeknumber' then
            Conf.WeekNumber := GetToken = 'on'
          else if s = 'yearday' then
            Conf.YearDay := GetToken = 'on'
          else if s = 'outerdays' then
            Conf.OuterDays := GetToken = 'on';
        end;
      finally
        Free;
      end;
  except
    on E: EIOError do ;
  end;
end;

end.
